; docformat = 'rst'

;+
; Log warnings generated by the last SQL command.
;
; :Keywords:
;   database : in, required, type=MGdbMySQL object
;     database connection
;
; :Author:
;   MLSO Software Team
;-
pro comp_db_log_warnings, database=db
  compile_opt strictarr

  warnings = db->query('show warnings', $
                       count=n_warnings, $
                       status=status, $
                       error_message=error_message)
  for w = 0L, n_warnings - 1L do begin
    mg_log, '[%d]: %s', warnings[w].code, warnings[w].message, $
            name='comp', /warn
  endfor
end
